PrefabFiles = {
	"esctemplate",
	"lightsword",
	"cz83",
	"sm68",
	"cz830",
	"cz83cile",
	"millbuilder",
	"coherer_small",
	"coherer",
	"shidao",
	"fe",
	"c",
	"cu",
	"ast",
	"cuaxe",
	"feaxe",
	"fepickaxe",
	"cupickaxe",

	
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/esctemplate.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/esctemplate.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/esctemplate.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/esctemplate.xml" ),

    Asset( "IMAGE", "bigportraits/esctemplate.tex" ),
    Asset( "ATLAS", "bigportraits/esctemplate.xml" ),
	
	Asset( "IMAGE", "images/map_icons/esctemplate.tex" ),
	Asset( "ATLAS", "images/map_icons/esctemplate.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_esctemplate.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_esctemplate.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_esctemplate.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_esctemplate.xml" ),
	
    Asset( "IMAGE", "bigportraits/esctemplate.tex" ),
    Asset( "ATLAS", "bigportraits/esctemplate.xml" ),

	Asset( "IMAGE", "images/AST.tex" ),
    Asset( "ATLAS", "images/AST.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/cz830.tex" ),
    Asset( "ATLAS", "images/inventoryimages/cz830.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/cz83cile.tex" ),
    Asset( "ATLAS", "images/inventoryimages/cz83cile.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/coherer_small.tex" ),
    Asset( "ATLAS", "images/inventoryimages/coherer_small.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/coherer.tex" ),
    Asset( "ATLAS", "images/inventoryimages/coherer.xml" ),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Ingredient = GLOBAL.Ingredient
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH
--mod内容
STRINGS.CHARACTER_TITLES.esctemplate = "Tobiichi Origami"
STRINGS.CHARACTER_NAMES.esctemplate = "Origami"
STRINGS.CHARACTER_DESCRIPTIONS.esctemplate = "*随意领域，展开！\n*恋慕的纸鹤，为你而折\n*因为是数据体，个头有点小"
STRINGS.CHARACTER_QUOTES.esctemplate = "\"奇迹是用指尖捏造的事物\""
STRINGS.NAMES.LIGHTSWORD = "AST标准光剑"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIGHTSWORD= "AST部队标配"
STRINGS.NAMES.CZ83 = "捷克cz83"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CZ83= "捷克cz83手枪，使用9毫米勃朗宁短弹及多种弹药，采用10双排弹匣供弹机构，有效射程50米。"
STRINGS.NAMES.SM68 = "M68式手榴弹"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SM68= "米国军队标准配置，但是对精灵部队依然使用显现装置"
STRINGS.NAMES.CZ830 = "捷克cz83-空弹"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CZ830= "我需要给他填充子弹"
STRINGS.NAMES.CZ83CILE = "cz83的弹夹"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CZ83CILE= "给手枪提供弹药"
STRINGS.NAMES.COHERER = "大块金属"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.COHERER= "这玩意是合金，大概。"
STRINGS.NAMES.COHERER_SMALL = "金属碎片"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.COHERER_SMALL= "太少了，没法使用"
STRINGS.NAMES.MILLBUILDER = "研磨器"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MILLBUILDER= "我应该将各种物质送进去分解一下,这个型号具有自动捡拾叠加功能"
STRINGS.NAMES.SHIDAO = "士道的橡皮擦"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHIDAO= "趁上次给士道捡橡皮擦时用新橡皮擦替换的 \n 士道的味道。。。。"
STRINGS.NAMES.FE = "铁块"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FE= "这里的燧石含这个吗？"
STRINGS.NAMES.C = "碳"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.C= "不知道能不能作为燃料"
STRINGS.NAMES.CU = "铜块"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CU= "很常见的金属，而且还能导电"
STRINGS.NAMES.AST = "AST宇宙计划报告书"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.AST= " "
STRINGS.NAMES.CUAXE = "铜制斧子"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUAXE= "它的效率和它的耐久刚好相反"
STRINGS.NAMES.FEAXE = "铁制斧子"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FEAXE= "虽然没法打磨，但是很耐用"
STRINGS.NAMES.FEPICKAXE = "铁制镐子"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FEPICKAXE= "非常耐用的镐子"
STRINGS.NAMES.CUPICKAXE = "铜制镐子"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUPICKAXE= "如果它再结实点，就是最好的镐子了"
--配方介绍
STRINGS.RECIPE_DESC.CZ83   = "其实只是在装子弹"
STRINGS.RECIPE_DESC.CZ83CILE   = "显现装置使这些东西变成子弹了"
STRINGS.RECIPE_DESC.MILLBUILDER   = "AST宇宙计划的基础中的基础"
STRINGS.RECIPE_DESC.COHERER   = "一大块金属混合物"
STRINGS.RECIPE_DESC.COHERER_SMALL   = "用研磨器比用手强"
STRINGS.RECIPE_DESC.CUAXE   = "不耐用，但是很锋利的斧子"
STRINGS.RECIPE_DESC.FEAXE   = "老铁，这东西绝对比石头好"
STRINGS.RECIPE_DESC.CUPICKAXE   = "只要两下你就能敲碎岩石！"
STRINGS.RECIPE_DESC.FEPICKAXE   = "金子那么贵，为什么不试试铁的呢？"
--全局物品制作
function load()
--铜斧
 local cuaxe = GLOBAL.Recipe("cuaxe", {Ingredient("twigs", 2),Ingredient("cu", 1,"images/inventoryimages/cu.xml", "cu.tex")}, RECIPETABS.TOOLS, {SCIENCE=1})
 cuaxe.atlas = "images/inventoryimages/cuaxe.xml"
 cuaxe.image = "cuaxe.tex"
--铜镐
 local cupickaxe = GLOBAL.Recipe("cupickaxe", {Ingredient("twigs", 3),Ingredient("cu", 2,"images/inventoryimages/cu.xml", "cu.tex")}, RECIPETABS.TOOLS, {SCIENCE=2})
 cupickaxe.atlas = "images/inventoryimages/cupickaxe.xml"
 cupickaxe.image = "cupickaxe.tex"
 --铁镐
 local fepickaxe = GLOBAL.Recipe("fepickaxe", {Ingredient("twigs", 3),Ingredient("fe", 2,"images/inventoryimages/fe.xml", "fe.tex")}, RECIPETABS.TOOLS, {SCIENCE=2})
 fepickaxe.atlas = "images/inventoryimages/fepickaxe.xml"
 fepickaxe.image = "fepickaxe.tex"
 --铁斧
 local feaxe = GLOBAL.Recipe("feaxe", {Ingredient("twigs", 2),Ingredient("fe", 1,"images/inventoryimages/fe.xml", "fe.tex")}, RECIPETABS.TOOLS, {SCIENCE=1})
 feaxe.atlas = "images/inventoryimages/feaxe.xml"
 feaxe.image = "feaxe.tex"
end
load()
--专属科技栏
ASTtab = AddRecipeTab("ast",233, "images/AST.xml", "AST.tex", "ast_builder")
--配方
--cz83
local cz83 = AddRecipe("cz83",
{Ingredient("cz830", 1,"images/inventoryimages/cz830.xml", "cz830.tex"),Ingredient("cz83cile", 1,"images/inventoryimages/cz83cile.xml", "cz83cile.tex")},
ASTtab, TECH.NONE,
nil, nil, nil, nil, "ast_builder",
"images/inventoryimages/cz83.xml", "cz83.tex")
--cz83弹药
local cz83cile = AddRecipe("cz83cile",
{Ingredient("nitre", 3),Ingredient("coherer", 1,"images/inventoryimages/coherer.xml", "coherer.tex")},
ASTtab, TECH.NONE,
nil, nil, nil, nil, "ast_builder",
"images/inventoryimages/cz83cile.xml", "cz83cile.tex")
--研磨器
local millbuilder = AddRecipe("millbuilder",
{Ingredient("rope", 1),Ingredient("goldnugget", 3),Ingredient("boards", 2),Ingredient("hammer", 1)},
ASTtab,TECH.SCIENCE_TWO,
"millbuilder_placer", nil, nil, nil, "ast_builder",
"images/inventoryimages/millbuilder.xml", "millbuilder.tex")
--大块金属
local coherer = AddRecipe("coherer",
{Ingredient("coherer_small", 4,"images/inventoryimages/coherer_small.xml", "coherer_small.tex")},
ASTtab, TECH.NONE,
nil, nil, nil, nil, "ast_builder",
"images/inventoryimages/coherer.xml", "coherer.tex")
--金属碎片
local coherer_small = AddRecipe("coherer_small",
{Ingredient("flint", 2)},
ASTtab, TECH.SCIENCE_ONE,
nil, nil, nil, nil, "ast_builder",
"images/inventoryimages/coherer_small.xml", "coherer_small.tex")
--标题图标啥啥的
STRINGS.CHARACTERS.ESCTEMPLATE = require "speech_esctemplate"
STRINGS.NAMES.ESCTEMPLATE = "Esc"
AddMinimapAtlas("images/map_icons/esctemplate.xml")
AddModCharacter("esctemplate")

